package de.siphalor.was.content.resource;

import org.jetbrains.annotations.Nullable;

import java.io.InputStream;

public abstract class Resource {
	private final String id;

	protected Resource(String id) {
		this.id = id;
	}

	@Nullable
	public abstract InputStream getInputStream();

	public String getId() {
		return id;
	}
}
